
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>PHP与MySQL开发中页面出现乱码的一种解决方法_php技巧 / iVAN</title>

    <meta name="description" content="PHP与MySQL开发中页面出现乱码的一种解决方法_php技巧 一般来说,乱码的出现有2种原因,首先是由于编码(charset)设置错误,导致浏览器以错误的编码来解析,从而出现了满屏乱七八糟的&quot;天书&quot;,其次是文件被以错误的编码打开,然后保存,比如一个文本文件原先是GB2312编码的,却以UTF-8编码打开再保存.要解决上述乱码问题,首先需要知道开发中哪些环节涉及到了编码: 1.文件编码:指的是页面文件(.html,.php等)本身是以何种编码来保存的.记事本和Dreamweaver在打开页面时候会自动识别文件编码因而不太会出问题.而Zen ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">PHP与MySQL开发中页面出现乱码的一种解决方法_php技巧</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>一般来说，乱码的出现有2种原因，首先是由于编码(charset)设置错误，导致浏览器以错误的编码来解析，从而出现了满屏乱七八糟的“天书”，其次是文件被以错误的编码打开，然后保存，比如一个文本文件原先是GB2312编码的，却以UTF-8编码打开再保存。要解决上述乱码问题，首先需要知道开发中哪些环节涉及到了编码：</p>
<p>1、文件编码：指的是页面文件(.html,.php等)本身是以何种编码来保存的。记事本和Dreamweaver在打开页面时候会自动识别文件编码因而不太会出问题。而ZendStudio却不会自动识别编码，它只会根据首选项的配置固定以某种编码打开文件，如果工作时候一不注意，用错误编码打开文件，做了修改之后一保存，乱码就出现了（我深有体会）。</p>
<p>2、页面申明编码：在HTML代码HEAD里面，可以用&lt;meta http-equiv="Content-Type" content="text/html; charset="XXX" /&gt;来告诉浏览器网页采用了什么编码，目前中文网站开发中XXX主要用的是GB2312和UTF-8两种编码。</p>
<p>3、数据库连接编码：指的是进行数据库操作时候以哪种编码与数据库传输数据，这里需要注意的是不要与数据库本身的编码混淆，比如MySQL内部默认是latin1编码，也就是说Mysql是以latin1编码来存储数据，以其他编码传输给Mysql的数据会被转换成latin1编码。</p>
<p>知道了WEB开发中哪些地方涉及到了编码，也就知道了乱码产生的原因：上述3项编码设置不一致，由于各种编码绝大部分是兼容ASCII的，所以英文符号不会出现，中文就倒霉了。下面是一些常见的错误情况与解决：</p>
<p>1、数据库采用UTF8编码，而页面申明编码是GB2312，这是最常见的产生乱码的原因。这时候在PHP脚本里面直接SELECT数据出来的就是乱码，需要在查询前先使用：</p>
<p>mysql_query("SET NAMES GBK"); 来设定MYSQL连接编码，保证页面申明编码与这里设定的连接编码一致（GBK是GB2312的扩展）。如果页面是UTF-8编码的话，可以用： <br />mysql_query("SET NAMES UTF8"); 注意是UTF8而不是一般用的UTF-8。假如页面申明的编码与数据库内部编码一致可以不设定连接编码。 <br />注：事实上MYSQL的数据输入输出比上面讲的更复杂一些，MYSQL配置文件my.ini中定义了2个默认编码，分别是[client]里的default-character-set和[mysqld]里的default-character-set来分别设定默认时候客户端连接和数据库内部所采用的编码。我们上面指定的编码其实是MYSQL客户端连接服务器时候的命令行参数character_set_client，来告诉MYSQL服务器接受到的客户端数据是什么编码的，而不是采用默认编码。</p>
<p>2、页面申明编码与文件本身编码不一致，这种情况很少发生，因为如果编码不一致美工做页面时候在浏览器看到的就是乱码了。更多时候是发布以后修改一些小BUG，以错误编码打开页面然后保存导致的。或者是用某些FTP软件直接在线修改文件，比如CuteFTP，由于软件编码配置错误而导致转换错了编码。</p>
<p>3、一些租用虚拟主机的朋友，明明上述3项编码都设置正确了还是有乱码。比方说网页是GB2312编码的，IE等浏览器打开却总是识别成UTF-8，网页HEAD里面已经申明是GB2312了，手动修改浏览器编码为GB2312后页面显示正常。产生原因是服务器Apache设定了服务器全局的默认编码，在httpd.conf里面加了AddDefaultCharset UTF-8。这时候服务器会首先发送HTTP头给浏览器，其优先级比页面里申明编码高，自然浏览器就识别错了。解决办法有2个，请管理员在配置文件自己的虚机里加上一条AddDefaultCharset GB2312来覆盖全局配置，或者在自己目录的.htaccess里配置。</p>
<p>2006.4.4后注:感谢JunChen告知:在HTML页面HEAD区里,&lt;meta http-equiv="Content-Type" content="text/html; charset="XXX" /&gt;这句一定要写在&lt;title&gt;XXX&lt;/title&gt;前面，否则会导致页面一片空白（仅限IE+PHP）。</p>
<p>以上是我前些时间工作中遇到问题的总结与经验，如有错误，欢迎指正！</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-19 05:40:42</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar">

		<h3>PHP与MySQL开发中页面出现乱码的一种解决方法_php技巧的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mlm1L8p.html" rel="bookmark">php和mysql中uft-8中文编码乱码的几种解决办法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				PHP页面转UTF-8编码问题 1.在代码开始出加入一行: 复制代码 代码如下: header(&quot;Content-Type: text/html;charset=utf-8&quot;); 2.PHP文件编码问题 点击编辑器的菜单:&quot;文件&quot;-&gt;&quot;另存为&quot;,可以看到当前文件的编码,确保文件编码为:UTF-8, 如果是ANSI,需要将编码改成:UTF-8. 3.PHP文件头BOM问题: PHP文件一定不可以有BOM标签 否则,会出现session不能使用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/p5NwL7z.html" rel="bookmark">PHP中file&lowbar;exists&lpar;&rpar;判断中文文件名无效的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				本文实例讲述了PHP中file_exists()判断中文文件名无效的解决方法.分享给大家供大家参考.具体方法如下: php中判断文件是否存在我们会使用file_exists函数或is_file函数,但在使用file_exists时如果你文件名或路径是中文在uft8编码文档时是无效.本文就来解决此问题,下面我们一起来看看. 定义和用法:file_exists() 函数检查文件或目录是否存在. 如果指定的文件或目录存在则返回 true,否则返回 false. 例子1 复制代码 代码如下: &lt;?php			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MqWyv3z.html" rel="bookmark">php&plus;AJAX传送中文会导致乱码的问题的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				//如果传送参数是直接赋予的,就会产生乱码! 复制代码 代码如下: http_request.open(&quot;POST&quot;,url,true); http_request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded'); http_request.send(&quot;action=&quot;+strName+&quot;&amp;val=&quot;+val); //如果val的值为中文,则产生乱			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/z78akqb.html" rel="bookmark">PHP中file&lowbar;exists函数不支持中文名的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				一般来说PHP中常使用file_exists()判断某个文件或者文件夹是否存在,如果存在则返回true,否则返回false.但是该函数在网页使用UTF8编码的情况下,对于中文的文件名或者文件夹名不能返回正确值,始终返回false.经测试之后得出解决方法,分析造成这一情况的原因应该是编码不同而导致的PHP不能正确判断. 下面这段代码是不能够返回正确值的代码,无论文件是否在都返回不在: &lt;?php; $file=&quot;/attachment/21/0/中文.rar&quot;; $newfile			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pXKkG5M.html" rel="bookmark">php中json&lowbar;encode UTF-8中文乱码的更好解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				最近在接口代码当中用到过json_encode,在网上找到说json_encode编码设置为UTF-8中文就不会乱码,经验证这办法确实是有效果的,但是不知道为什么,代码在用过一段时间之后就不太管用了.以下是自己的解决json_encode的办法.有更好的方法请分享出来吧! 第一种: 这种简单的做一个代码转换,urlcode之后再返回所需数组 我代码这样就足够了. 代码如下 复制代码 public static function encodeOperations ($array) { foreac			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MY5WElM.html" rel="bookmark">php file&lowbar;get&lowbar;contents抓取Gzip网页乱码的三种解决方法&lowbar;php实例</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				把抓取到的内容转下编码即可($content=iconv(&quot;GBK&quot;, &quot;UTF-8//IGNORE&quot;, $content);),我们这里讨论的是如何抓取开了Gzip的页面.怎么判断呢?获取的头部当中有Content-Encoding: gzip说明内容是GZIP压缩的.用FireBug看一下就知道页面开了gzip没有.下面是用firebug查看我的博客的头信息,Gzip是开了的. 复制代码 代码如下: 请求头信息原始头信息Accept text/html,appl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvnmQVM.html" rel="bookmark">php读取csv文件后&comma;uft8 bom导致在页面上显示出现问题的解决方法&lowbar;php技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				date.csv:&quot;ID&quot; &quot;NAME&quot; &quot;EMAIL&quot;&quot;1&quot; &quot;小明&quot; &quot;xm@163.com&quot;&quot;2&quot; &quot;小东&quot; &quot;xd@sina.com&quot;&quot;3&quot; &quot;小少&quot; &quot;shaozi@hotmai.com&quot; 读取这个csv文件 复制代码 代码如下: &lt;?php$handl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEYYoqb.html" rel="bookmark">解决中文乱码的几种解决方法&lpar;推荐&rpar;&lowbar;JSP编程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				首先说明我的特殊情况: 1. 前台jsp中,我使用的是 form post 请求,设置了 enctype=&quot;multipart/form-data&quot; ,页面编码格式都是utf-8 2. 后台中,我使用的是commons-fileUpload组件,ServletFileUpload 解析form表单和文件, 3. 设置 request.setCharacterEncoding(&quot;UTF-8&quot;); 4. 设置了ServletFileUpload .setHeaderEn			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/VMrLjWz.html" rel="bookmark">JSP页面乱码的5种解决方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				JSP编程中网页显示出现乱码的情况,基本可以归为5类: 1. JSP页面显示乱码. 2. Servlet接收Form/Request传递的参数时显示为乱码 3. JSP接收Form/Request传递的参数时显示为乱码 4. 用&lt;jsp:forward page=&quot;catalog2.html&quot;&gt;&lt;/jsp:forward&gt;时页面显示乱码 5. 数据库存取的时候产生乱码. 下面给出全部解决方法: 步骤/方法 1. JSP页面显示乱码. 第一种为在页面的开头加上:			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJkywb.html" rel="bookmark" class="title">搜狗浏览器怎么设置成默认浏览器</a>
					<div>
						  第一:打开搜狗浏览器浏览器后点页面右上角的&quot;工具&quot; 第二步:再进入&quot;搜狗高速浏览器选项&quot;. 第三步:进入搜狗高速浏览器选项后在常规选项的启动设置里启动时打开 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/1MvmBab.html" rel="bookmark" class="title">extjs-Extjs Ext&period;ux&period;form&period;LovCombo 多选问题&comma;求大牛帮忙啊！</a>
					<div>
						问题描述 Extjs Ext.ux.form.LovCombo 多选问题,求大牛帮忙啊! 当选择的时候,离开焦点到空白的时候, 多选下拉框会把所有相同名字都显示出来, 这个问题怎么解决........ ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkjGEM.html" rel="bookmark" class="title">Microsoft Access秘密、技巧和陷阱</a>
					<div>
						Microsoft Access秘密.技巧和陷阱 布莱恩C.布莱克曼 系统支持工程师,Microsoft Access Basic 摘要 这篇文章概括了当使用Microsoft Access 时,通过 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/6b3B77z.html" rel="bookmark" class="title">完整的访问统计程序&lpar;三  应用篇&rpar;</a>
					<div>
						请大家在转载和使用的时候不要修改这里*//*  static.asp  保存统计数据*/&lt;!--#include file=&quot;staticFunc.asp&quot;--&gt;&lt ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/7b2ODvM.html" rel="bookmark" class="title">老外编的程序（二）－－System&period;Net的示例程序</a>
					<div>
						程序|示例 using System;using System.Net;using System.Text;using System.Collections.Specialized; public c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MAaQaeM.html" rel="bookmark" class="title">把图像送到家-宝德助力网通VOD视频点播</a>
					<div>
						日前,某省中国网通分公司同宝德科技合作完成大型流媒体VOD系统,为现有的5万在线用户提供宽带视频信息娱乐服务,并为2008奥运会视频现场转播做了前期基础工作.这一系统由宝德科技提供多达90台PR251 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M91ALXM.html" rel="bookmark" class="title">路由器死机原因</a>
					<div>
						经常会在网上看到诸多网友在购买宽带路由器以后,在使用过程中遇到死机频繁掉线问题,给网友带来很多不便,以至于有些产品被网友说的一文不值.今天,作者就对宽带路由器死机掉线问题进行客观分析,看看到底是什么原 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGjYGop.html" rel="bookmark" class="title">迅雷下载99&percnt;的解决办法</a>
					<div>
						       资源下载到99%停住是一个相当麻烦的事情,但任何事物并不绝对.有时动动脑筋,往往可以采用曲线救国策略,采用间接的方法来解决这个难以化解的难题.   一.暂停/重下载法   因为迅雷采用的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN1kkWb.html" rel="bookmark" class="title">酷狗音乐怎么设置打开续播？</a>
					<div>
						  酷狗音乐怎么设置打开续播? 1.点击酷狗界面左上角的酷狗图标,弹出主菜单,再点击菜单中的&quot;选项设置&quot;. 2.在弹出的选项设置界面下点击常规设置,然后把&quot;启动酷狗时自动 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgV3nBb.html" rel="bookmark" class="title">ubuntu 更新源-easybcd  ubuntu win7 双系统安装问题</a>
					<div>
						问题描述 easybcd ubuntu win7 双系统安装问题 在win7系统用easybcd添加NEOGRUB并配置相应的menu.lst 重启进入neogrub引导,在ubuntu中选择安装程序 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2PmQqp.html" rel="bookmark" class="title">大众点评，成为百亿公司要多久？</a>
					<div>
						这家公司将过去的&quot;匍匐前进&quot;慢慢变成了自己手中最大的财富.而随着因智能手机的普及从而而成为从线上通往线下的商业桥梁,由此大众点评网也迎来了自己成就百亿市值公司的机遇. 大众点评网的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQZeVp.html" rel="bookmark" class="title">找到管理的窍门儿</a>
					<div>
						驱动大齿轮,提升杠杆率:驱动小齿轮,提升速度:更换零件,保证运转:调整关系,优化资源.通过调整使企业实现运作最优化,投入最化,收益最大化 □ 北京大学领导力研究中心副主任 杨思卓 有人说下棋不容易,棋 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bE60KqM.html" rel="bookmark" class="title">《Python核心编程（第3版）》&mdash;&mdash;2&period;5 &ast;SocketServer模块</a>
					<div>
						2.5 *SocketServer模块 SocketServer是标准库中的一个高级模块(Python 3.x中重命名为socketserver),它的目标是简化很多样板代码,它们是创建网络客户端和服 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MA7OOQz.html" rel="bookmark" class="title">紧急   在先等答案！</a>
					<div>
						问题描述 ror开发如何在rhtml文件中嵌入ruby的代码 如:动态添加表格的行列谢谢高手来指点下 解决方案 ruby代码可以写在&lt;% %&gt;中,例如&lt;% if !@entry.bl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDe51Bb.html" rel="bookmark" class="title">炒冷饭系列：设计模式 工厂模式</a>
					<div>
						一.什么是简单工厂模式 简单工厂模式属于类的创建型模式,又叫做静态工厂方法模式.通过专门定义一个类来负责创建 其他类的实例,被创建的实例通常都具有共同的父类. 二.模式中包含的角色及其职责 1.工厂( ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bB1PBdz.html" rel="bookmark" class="title">Linux内核中SPI总线驱动分析</a>
					<div>
						本文主要有两个大的模块:一个是SPI总线驱动的分析 (研究了具体实现的过程): 另一个是SPI总线驱动的编写(不用研究具体的实现过程).  1 SPI概述       SPI是英语Serial Per ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Zn7ap.html" rel="bookmark" class="title">我的此博客地址</a>
					<div>
						  原博客地址:http://pane.cublog.cn     现博客地址:http://pane.blog.chinaunix.net  					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKY9QZp.html" rel="bookmark" class="title">Java 8 中的 Streams API 详解</a>
					<div>
						为什么需要 Stream Stream 作为 Java 8 的一大亮点,它与 java.io 包里的 InputStream 和 OutputStream 是完全不同的概念.它也不同于 StAX 对  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M94r3db.html" rel="bookmark" class="title">DNS服务器：小黑屋中的&OpenCurlyDoubleQuote;翻译官&rdquo;大神</a>
					<div>
						DNS服务器是一个外行听起来比较专业的词汇,大部分只是听说过DNS,却不知道DNS服务器是什么鬼:即便知道了DNS服务器是什么东西,却也很难明白DNS服务器背后的&quot;翻译逻辑&quot;是什么 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zZgaBqb.html" rel="bookmark" class="title">五款应用让Linux桌面变成工作好帮手</a>
					<div>
						以前把Linux应用到办公上,确实是一种挑战.因为大多数公司都是依赖专门的软件,而且这些软件几乎只能在Windows上运行.但是,时代在改变,现在很多业务都是通过web浏览器来吹来.而且,Linux平 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwWYw5z.html" rel="bookmark" class="title">c&num;中10位数组相邻两位相加得新数组，为什么新数组是一堆特殊符号？</a>
					<div>
						问题描述 c#中10位数组相邻两位相加得新数组,为什么新数组是一堆特殊符号? 解决方案 b是int型 char m in b 这里char写成int试试 解决方案二: result = result  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M12AOdp.html" rel="bookmark" class="title">pl&sol;sql 运行一直弹出这个问题</a>
					<div>
						问题描述 pl/sql 运行一直弹出这个问题 求大神帮忙: 不能执行任何东西,一直报这个错误,怎么回事,是不是少安装东西了? 解决方案 没有安装正确吧~ 你的系统是多少位 而你的Oralce 装的是多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrqrDOb.html" rel="bookmark" class="title">中国对发展中国家贷款超过世界银行</a>
					<div>
						1月18日上午消息,据外媒报道,过去两年,中国向其他发展中国家提供的贷款超过了世界银行. 英国&lt;金融时报&gt;报道称,2009年和2010年,中国国家开发银行及中国进出口银行向其他发展中国家和 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pXKL5QM.html" rel="bookmark" class="title">PHP微信红包API接口&lowbar;php实例</a>
					<div>
						首先给大家看一看这个表格: 根据微信高级红包接口,开发PHP版本的API接口,现在进行主要代码分析. 红包接口调用请求代码,所有请求参数为必填参数与文档对应: class Wxapi { privat ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mr2AvmM.html" rel="bookmark" class="title">Python标准库之随机数 &lpar;math包、random包&rpar;介绍&lowbar;python</a>
					<div>
						我们已经在Python运算中看到Python最基本的数学运算功能.此外,math包补充了更多的函数.当然,如果想要更加高级的数学功能,可以考虑选择标准库之外的numpy和scipy项目,它们不但支持数 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zV7r24b.html" rel="bookmark" class="title">Google击败微软成全球第一品牌 中移动居第五</a>
					<div>
						     4月23日发布的一项研究结果显示,Google击败微软成为了全球第一品牌.根据市场研究公司Millward Brown的排名,通用电气.可口可乐.沃尔玛分列第二.第四和第七. 这是Millw ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MyWQA4z.html" rel="bookmark" class="title">asp去除html标记与空格的正则&lowbar;正则表达式</a>
					<div>
						function nohtml(str)  dim re  Set re=new RegExp         re.IgnoreCase =true         re.Global=True   ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgL03z.html" rel="bookmark" class="title">《Total Commander：万能文件管理器》&mdash;&mdash;第3&period;4节&period;睁眼4招：回顾、排序、过滤、分色</a>
					<div>
						第3.4节.睁眼4招:回顾.排序.过滤.分色 前面章节所述文件定位的前提是:准确知道文件的目录和名称,或知道其某一特征.在这种情况下,TC可以非常高效,并且可以让用户不用眼看,一通击键,就直达目标.这 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pn4K9Wb.html" rel="bookmark" class="title">有没有人帮忙解决一下：为什么 无法绑定到 datasource 的属性或列 参数名：dataMember</a>
					<div>
						问题描述 List&lt;T&gt;entities=newList&lt;T&gt;();binding.Source=entities;//不会报错HashSet&lt;T&gt;entities ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqgD7az.html" rel="bookmark" class="title">vs2005 ASP&period;NET&lowbar;SessionId 有问题</a>
					<div>
						问题描述 我用2003Request.Cookies[&quot;ASP.NET_SessionId&quot;].Value.ToString()就没问题用2005就出错,值为空,请问要怎么改啊?急 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.026 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
